Overlapping points lead to increased lightness

2014-06-09 05:49 AM - Johannes Kroeger

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18917

Description

If you have overlapping features (I noticed with points and only tested with points), their colors will "stack" even when there is no blending

chosen.

I have attached an image and a shapefile. The shapefile has 5 groups of overlapping points. The left most group has 16 points stacked on

top of each other (copy'n'pasted), the next one 8, then 4 and 2. The right most is just 1 point feature.

In the image the top row is styled with a single symbol using the color "226, 255, 94" (RGB, chosen randomly as bright color). The

graduated and the categorized rows both use the Spectral scheme from Color Brewer on the "id" column (which is '1' for all features). The

points are 0.001 map units big and have no border.

I chose a black background, but it is visible on white just as well. I used no blending options. It does not matter if the "less jagged lines"

option in rendering options is ticked or not, I saw no difference. I have not tested various outputs from the composer. This is when looking

at the normal map canvas.

In the image you can see that the more points are stacked on top of each other, the brighter the spot appears in the canvas. Instead it

should be using the color of whatever feature is on "top" by whatever metric QGIS uses for that. If all points are styled with the same

color, there should be no visible difference between the groups, regardless of the amount of "underlying" point features.

-----
History

#1 - 2014-06-09 05:59 AM - Nathan Woodrow

- File points.png added

I don't see that effect here:
#2 - 2014-06-09 09:03 AM - Johannes Kroeger

I forgot to state that this only occurs when you zoom out so much that the points get tiny (like in my image). Nathan confirmed seeing the issue then in IRC.

#3 - 2014-06-10 01:52 AM - Tobias Schneider

- File point_stacking.png added

I can confirm this not for the colour change, but for the anti-aliasing of the border (See picture).

#4 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

points.shp.zip 1.34 KB 2014-06-09 Johannes Kroeger

qgis_lightness_bug.png 2.73 KB 2014-06-09 Johannes Kroeger

points.png 1.31 KB 2014-06-09 Nathan Woodrow

point_stacking.png 1.57 KB 2014-06-09 Tobias Schneider
